Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Trying to get Mage Core items to show up in downloader (newbie)
 
CRLEAP
Jr. Member
 
Total Posts:  2
Joined:  2011-02-25
 

I’m very new to Magento (and web commerce).  I installed 1.5 a couple weeks ago.  Today, the “new message notification” told me a new version was available.  I didn’t realize the timestamp of the message, so I went hunting for info about how to do a core update.  Turns out, I don’t need an update, but I would like to get all the core modules and things showing up in Magento connect manager so I can use it to update core things whenever the Magento team puts out updates.  I went to Magento Connect downloader (mydomain/downloader) but the only things showing up able to check versions are the two extensions I installed later.  I installed Magento itself through uploading the compressed file to my webhost, extracting, and the install script.

I have been poking around trying to find a way to use the downloader to upgrade my core files, but most of the info I’m finding is dated.  I did figure out if I put in a package key of “http://connect20.magentocommerce.com/community/Mage_All_Latest” it will look like it’s doing something, but no changes seem to happen.

It creates a table with a bunch of extensions:

Channel Package Name Version Status
community Mage_All_Latest 1.5.0.1 (stable) Ready to install
community Interface_Adminhtml_Default 1.5.0.0 (stable) Ready to install
community Interface_Frontend_Default 1.5.0.0 (stable) Ready to install
community Interface_Install_Default 1.5.0.0 (stable) Ready to install
community Mage_Downloader 1.5.0.0 (stable) Ready to install
community Mage_Centinel 1.5.0.0 (stable) Ready to install
community Interface_Frontend_Base_Default 1.5.0.0 (stable) Ready to install
community Phoenix_Moneybookers 1.2.4 (stable) Ready to install
community Find_Feed 1.0.8 (stable) Ready to install
community Mage_Compiler 1.5.0.0 (stable) Ready to install
community Magento_Mobile 1.5.0.0.16 (stable) Ready to install
community Mage_Core_Adminhtml 1.5.0.0 (stable) Ready to install
community Mage_Core_Modules 1.5.0.1 (stable) Ready to install
community Lib_Js_Ext 1.5.0.0 (stable) Ready to install
community Lib_LinLibertineFont 2.8.14.0 (stable) Ready to install
community Lib_Js_TinyMCE 3.3.7.0 (stable) Ready to install
community Lib_Varien 1.5.0.0 (stable) Ready to install
community Lib_Google_Checkout 1.5.0.0 (stable) Ready to install
community Lib_Js_Calendar 1.51.1 (stable) Ready to install
community Lib_Js_Mage 1.5.0.0 (stable) Ready to install
community Lib_Phpseclib 1.5.0.0 (stable) Ready to install
community Mage_Locale_en_US 1.5.0.0 (stable) Ready to install
community Lib_Mage 1.5.0.0 (stable) Ready to install
community Lib_ZF 1.11.1.0 (stable) Ready to install
community Lib_Js_Prototype 1.6.0.3.4 (stable) Ready to install
community Lib_ZF_Locale 1.11.1.0 (stable) Ready to install

When I click “Proceed”, the console gives the following output:

Checking dependencies of packages

CONNECT ERROR: Package ‘Mage_All_Latest’ is invalid
‘./pkginfo/Mage_All_Latest.txt’ already exists
Package ‘Interface_Adminhtml_Default’ is invalid
‘./app/design/adminhtml/default/default/layout/admin.xml’ already exists
Package ‘Interface_Frontend_Default’ is invalid
‘./app/design/frontend/default/default/etc/widget.xml’ already exists
Package ‘Interface_Install_Default’ is invalid
‘./app/design/install/default/default/layout/main.xml’ already exists
Package ‘Mage_Downloader’ is invalid
‘./downloader/js/prototype.js’ already exists
Package ‘Mage_Centinel’ is invalid
‘./app/code/core/Mage/Centinel/Block/Adminhtml/Validation/Form.php’ already exists
Package ‘Interface_Frontend_Base_Default’ is invalid
‘./app/design/frontend/base/default/etc/widget.xml’ already exists
Package ‘Phoenix_Moneybookers’ is invalid
‘./app/code/community/Phoenix/Moneybookers/Block/Form.php’ already exists
Package ‘Find_Feed’ is invalid
‘./app/code/community/Find/Feed/Block/Adminhtml/Edit/Codes/Edit/Form.php’ already exists
Package ‘Mage_Compiler’ is invalid
‘./app/code/core/Mage/Compiler/Block/Process.php’ already exists
Package ‘Magento_Mobile’ is invalid
‘./app/code/core/Mage/XmlConnect//Block/Adminhtml/History/Grid.php’ already exists
Package ‘Mage_Core_Adminhtml’ is invalid
‘./app/code/core/Mage/Adminhtml/Block/Abstract.php’ already exists
Package ‘Mage_Core_Modules’ is invalid
‘./app/code/core/Mage/Admin/Model/Acl/Assert/Ip.php’ already exists
Package ‘Lib_Js_Ext’ is invalid
‘./js/extjs/css/README.txt’ already exists
Package ‘Lib_LinLibertineFont’ is invalid
‘./lib/LinLibertineFont/Bugs’ already exists
Package ‘Lib_Js_TinyMCE’ is invalid
‘./js/tiny_mce/classes/AddOnManager.js’ already exists
Package ‘Lib_Varien’ is invalid
‘./lib/Varien/Autoload.php’ already exists
Package ‘Lib_Google_Checkout’ is invalid
‘./lib/googlecheckout/googlecart.php’ already exists
Package ‘Lib_Js_Calendar’ is invalid
‘./js/calendar/calendar-blue.css’ already exists
Package ‘Lib_Js_Mage’ is invalid
‘./js/lib/FABridge.js’ already exists
Package ‘Lib_Phpseclib’ is invalid
‘./lib/phpseclib/Crypt/AES.php’ already exists
Package ‘Mage_Locale_en_US’ is invalid
‘./app/locale/en_US/Mage_AdminNotification.csv’ already exists
Package ‘Lib_Mage’ is invalid
‘./lib/Mage/Archive/Abstract.php’ already exists
Package ‘Lib_ZF’ is invalid
‘./lib/Zend/Acl/Assert/Interface.php’ already exists
Package ‘Lib_Js_Prototype’ is invalid
‘./js/prototype/debug.js’ already exists
Package ‘Lib_ZF_Locale’ is invalid
‘./lib/Zend/Locale/Data/Translation.php’ already exists

Then I can refresh the page, but nothing new shows up on connect manager extensions list.  I’ve seen screenshots of other users’ connect manager that has all the core modules listed.  Is there a way to get all these modules to show up in connect manager so I can use it to do future updates?  I’m not tech savvy enough to feel safe migrating everything to a new version with a ftp install each time an update comes out, and I don’t have shell access to my shared server at my webhost (though they have always been willing to run console commands for me when needed).  I was poking around with Drupal before I gave up and came to Magento, and its updater was never a hassle… hoping to achieve the same thing here.

Pardon my newbieness.... hopefully somebody can point me in the right direction to get connect manager working to its (what I hope) full potential in being able to upgrade core files.  The fact that my connect manager is still showing 1.5 indicates to me that I haven’t done all the updates possible since I’ve seen a lot of mentions about 2.0 being out.

Thank you!

My connect manager version is 1.5 according to the bottom of the screen.

 
Magento Community Magento Community
Magento Community
Magento Community
 
susieqzyo
Jr. Member
 
Total Posts:  9
Joined:  2009-03-04
 

I’m having the same error.  Anyone have ideas?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Quaeso
Guru
 
Avatar
Total Posts:  334
Joined:  2010-04-03
 
susieqzyo - 11 March 2011 12:21 PM

I’m having the same error.  Anyone have ideas?

I could need help too wink

 
Magento Community Magento Community
Magento Community
Magento Community
 
tmas73
Jr. Member
 
Total Posts:  24
Joined:  2009-04-23
 

Same issue here too. Amazing like always upgrading to 1.5 is a amaizing pain in the ass. Pure bull....

After spending hours and countless errors I managed to have it running, but connect manager does not show anything.

Magento is a love hate relationship. =(

 
Magento Community Magento Community
Magento Community
Magento Community
 
Quaeso
Guru
 
Avatar
Total Posts:  334
Joined:  2010-04-03
 
tmas73 - 17 May 2011 08:16 AM



Magento is a love hate relationship. =(

It´s like this

 
Magento Community Magento Community
Magento Community
Magento Community
 
Piers
Jr. Member
 
Total Posts:  5
Joined:  2010-08-06
 

Same problem here :/

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top